## org.apache.hadoop.mapred
Class InvalidFileTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.mapred.InvalidFileTypeException

All Implemented Interfaces:
  Serializable

    public class InvalidFileTypeException

extends IOException

Used when file type differs from the desired file type. like getting a file when a directory is expected. Or a wrong file type.

See Also:
  Serialized Form

Constructor Summary
`InvalidFileTypeException()`
`InvalidFileTypeException(String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidFileTypeException

    public InvalidFileTypeException()

### InvalidFileTypeException

    public InvalidFileTypeException(String msg)

Copyright © 2009 The Apache Software Foundation